API Documentation | All Packages | All Classes | Index | Frames No Frames |
Class GeneExpressionModule

Package | ch.unil.cbg.ExpressionView.model
Class | public class GeneExpressionModule

Base class for a gene expression module. Several modules make up the gene expression data.

Public Properties

| Property | Defined by
--- | --- | ---
|  | GEImage : LargeBitmapData | GeneExpressionModule
|  | Genes : XMLListCollection | GeneExpressionModule
|  | GO : XMLListCollection | GeneExpressionModule
|  | KEGG : XMLListCollection | GeneExpressionModule
|  | ModulesImage : LargeBitmapData | GeneExpressionModule
|  | ModulesOutlines : Vector | GeneExpressionModule
|  | ModulesRectangles : Vector | GeneExpressionModule
|  | nGenes : int | GeneExpressionModule
|  | nSamples : int | GeneExpressionModule
|  | Samples : XMLListCollection | GeneExpressionModule

Public Methods

| Method | Defined by
--- | --- | ---
|  | GeneExpressionModule() | GeneExpressionModule

Property detail

GEImage | property

`public var GEImage:LargeBitmapData`

Genes | property |

`public var Genes:XMLListCollection`

GO | property |

`public var GO:XMLListCollection`

KEGG | property |

`public var KEGG:XMLListCollection`

ModulesImage | property |

`public var ModulesImage:LargeBitmapData`

ModulesOutlines | property |

`public var ModulesOutlines:Vector`

ModulesRectangles | property |

`public var ModulesRectangles:Vector`

nGenes | property |

`public var nGenes:int`

nSamples | property |

`public var nSamples:int`

Samples | property |

`public var Samples:XMLListCollection`
Constructor detail

GeneExpressionModule | () | constructor

`public function GeneExpressionModule()`